Index: src/uk/me/parabola/imgfmt/app/labelenc/AnyCharsetEncoder.java
===================================================================
--- src/uk/me/parabola/imgfmt/app/labelenc/AnyCharsetEncoder.java	(revision 4816)
+++ src/uk/me/parabola/imgfmt/app/labelenc/AnyCharsetEncoder.java	(working copy)
@@ -95,8 +95,12 @@
 				while (outBuf.limit() < outBuf.position() + s.length())
 					outBuf = reallocBuf(outBuf);
 
-				for (int i = 0; i < s.length(); i++)
-					outBuf.put((byte) s.charAt(i));
+				for (int i = 0; i < s.length(); i++) {
+					char c = s.charAt(i);
+					if ((c & 0xff00) != 0)
+						c = '?';
+					outBuf.put((byte) c);
+				}
 
 			} else if (result == CoderResult.OVERFLOW) {
 				// Ran out of space in the output
